package com.kakao.auth.network;

import android.net.Uri;
import com.bytedance.covode.number.Covode;
import com.kakao.network.ApiRequest;
import com.kakao.network.ServerProtocol;
import com.kakao.network.multipart.Part;
import java.util.Collections;
import java.util.List;
import java.util.Map;

public abstract class AuthorizedApiRequest extends ApiRequest implements AuthorizedRequest {
    public String accessToken;

    static {
        Covode.recordClassIndex(45837);
    }

    public String getBodyEncoding() {
        return "UTF-8";
    }

    public abstract String getMethod();

    public List<Part> getMultiPartList() {
        return Collections.emptyList();
    }

    public Map<String, String> getParams() {
        return super.getParams();
    }

    public Uri.Builder getUriBuilder() {
        return super.getUriBuilder().authority(ServerProtocol.apiAuthority());
    }

    public Map<String, String> getHeaders() {
        Map<String, String> headers = super.getHeaders();
        headers.put("Authorization", "Bearer " + this.accessToken);
        return headers;
    }

    public void setAccessToken(String str) {
        this.accessToken = str;
    }
}
